@import 'reset.css';
@import 'global.css';
@import 'nav.css';
@import 'home.css';

/* ---------------------- SPECNAV ---------------------- */

#specNav{

  position: fixed;
  top: 50px;
  left: 0;
  right: 0;
  margin-left: 16%;
  background: white;
  height: 20px;
  border-bottom: 1px solid black;

  li{

    padding: 0 10px;
    cursor: pointer;

    &:hover, &.current{

      text-decoration: red;

    }
  }
}

/* ---------------------- FONT INFOS (SPECIMEN) ---------------------- */

#fontInfos{
  position: fixed;
  top: 0;
  bottom: 0;
  padding-top: 75px;
  width: 15%;
  border-right: 1px solid black;
  line-height: 1.4em;
  ul, li{
    display: block;
  }
  li{
    margin-left: 9px;
  }
  h1{
    padding-bottom: 10px;
  }
}

/* ---------------------- SPECIMEN ---------------------- */

body.specimen{

  width: 85%;
  margin-top: 0px;
  padding-left: 20px;
  text-align: left;

  p{

    input{

      background: transparent;
      width: 100%;
      border: 0;
      white-space: nowrap;
      font-family: inherit;

    }

  }

  .part{


    h2{

      margin-top: 15px;

    }

    h2, .size{

      font-family: 'ocr';
      margin-bottom: 15px;

    }

  }

  .waterfall input{

    text-align: left;

  }

  .layout{

    h3{

      font-size: 100px;

    }

    h3, p{

      margin: 0;
      padding: 10px;
      line-height: 1.15em;
    }

    .headline{

      font-size: 50px;

    }

    .col{

      font-size: 20px;
      padding: 10px;
      width: calc(50% - 40px);

    }
  }

  .az{

    white-space: normal !important;
    text-align: center;
    font-size: 100px;
    margin: 0;
    padding-right: 20px;
    line-height: 1.3em;

  }

  .approche{

    font-size: 30px;

  }

  .charMap canvas{

    margin-top: 200px;

  }

}

/* ---------------------- ABOUT ---------------------- */

.about{

  main{

    width: 50%;
    font-size: 1.5rem;
    line-height: 1.75rem;
  }

}

/* ---------------------- CHECK-FONT ---------------------- */

.check-font,
.modify-font{

  >header{

    h1{

      width: 100%;
    }
  }

  .invisible{

    display: none;
  }


  .message{

    margin: 0 0 3rem 0;

    p{

      margin: 0 0 2.75rem 0;
      width: 50%;
    }
  }

  form{

    display: flex;
    flex-wrap: wrap;

    h2{

      width: 100%;
      font-size: 2rem;
      margin: 0 0 3rem 0;
    }

    h3{

      margin: 1rem 0 2rem 0;
      padding: 0 0 0.25rem 0;
      width: 80%;
      border-bottom: solid 1px;
      color: red;

    }

    >div:not(.submit){

      width: 50%;
      display: flex;
      flex-wrap: wrap;
      margin: 0 0 6rem 0;


      label{

        display: inline-block;
        width: 30%;
        color: #03658f;

      }

      input, textarea{

        width: 50%;
        margin: 0 0 1rem 0;
        font-family: "ocr";
        font-size: 1rem;
      }

      input{

        height: 1.5rem;

      }

      textarea{

        height: 6rem;

      }

      select{

        display: inline-block;
      }

      textarea,
      input:not([readonly]){

        background-color: #f2f3f4;
        border: none;

      }

      input.wrong{

        background-color: red;
        color: #ffffff;
      }

      label.required::after{

        content: "*";
        color:red;

      }

      .charset{

        word-break: break-all;
        padding: 1rem;
        font-size: 2rem;
        line-height: 3rem;
        margin: 0 0 2rem 0;
        width: 85%;
        background-color: #f2f3f4;

        span{

          width: 2rem;
          display: inline-block;
          text-align: center;
        }

      }

      .tag{

        display: inline-block;
        margin: 0 1rem 0 0;
        background-color: red;
        color: #ffffff;
      }
    }

    .submit{

      width: 100%;

      input[type="submit"]{

        background-color: red;
        color: white;
        height: 3rem;
        width: 12rem;
        margin: 0 0 1.5rem 0;
        font-size: 1rem;
        font-family: "ocr";
      }

    }

  }
}

@media only screen and (max-width: 1300px){

  html{

    font-size: 12px;
  }
}
